Doc #76401 [Opn->Ver]: DateTime: constants moved into DateTimeInterface

From: Date: Fri, 01 Jun 2018 21:52:52 +0000
Subject: Doc #76401 [Opn->Ver]: DateTime: constants moved into DateTimeInterface
References: 1  Groups: php.doc.bugs 
Request: Send a blank email to doc-bugs+get-15732@lists.php.net to get a copy of this message
Edit report at https://bugs.php.net/bug.php?id=76401&edit=1

 ID:                 76401
 Updated by:         cmb@php.net
 Reported by:        salsi at icosaedro dot it
 Summary:            DateTime: constants moved into DateTimeInterface
-Status:             Open
+Status:             Verified
 Type:               Documentation Problem
-Package:            Documentation problem
+Package:            Date/time related
 PHP Version:        Irrelevant
 Block user comment: N
 Private report:     N

 New Comment:

Thanks!  See also <https://github.com/php/php-src/commit/637714c>.


Previous Comments:
------------------------------------------------------------------------
[2018-06-01 09:19:00] salsi at icosaedro dot it

Description:
------------
Since PHP 7.2.0 constants that where defined in DateTime moved to DateTimeInterface, see FR #71520
and PHP 7.2.0 ChangeLog:

$ php -r "echo PHP_VERSION;"
7.2.4

$ php -r "ReflectionClass::export('DateTimeInterface');"
Interface [ <internal:date> interface DateTimeInterface ] {

  - Constants [13] {
    Constant [ public string ATOM ] { Y-m-d\TH:i:sP }
    Constant [ public string COOKIE ] { l, d-M-Y H:i:s T }
    Constant [ public string ISO8601 ] { Y-m-d\TH:i:sO }
    Constant [ public string RFC822 ] { D, d M y H:i:s O }
    Constant [ public string RFC850 ] { l, d-M-y H:i:s T }
    Constant [ public string RFC1036 ] { D, d M y H:i:s O }
    Constant [ public string RFC1123 ] { D, d M Y H:i:s O }
    Constant [ public string RFC7231 ] { D, d M Y H:i:s \G\M\T }
    Constant [ public string RFC2822 ] { D, d M Y H:i:s O }
    Constant [ public string RFC3339 ] { Y-m-d\TH:i:sP }
    Constant [ public string RFC3339_EXTENDED ] { Y-m-d\TH:i:s.vP }
    Constant [ public string RSS ] { D, d M Y H:i:s O }
    Constant [ public string W3C ] { Y-m-d\TH:i:sP }
  }
...



------------------------------------------------------------------------



--
Edit this bug report at https://bugs.php.net/bug.php?id=76401&edit=1


Thread (3 messages)

« previous php.doc.bugs (#15732) next »